"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
// import { CombinedError } from "urql";
var MqlContext_1 = __importDefault(require("../../context/MqlContext/MqlContext"));
var mqlQueryReducer_1 = __importStar(require("../reducers/mqlQueryReducer"));
var useFetchMqlQuery_1 = __importDefault(require("../utils/useFetchMqlQuery"));
var FetchMqlSavedQuery_1 = __importDefault(require("../../queries/mql/FetchMqlSavedQuery"));
// This custom hook consists of two useHooks that should asynchronously handle all scenarios for this chained
// data fetching we are doing. It should do it in a high performance way and in a way that is resilient to race conditions if the
// user updates their request while a query is in flight
function useMqlSavedQueryQuery(_a) {
    var mqlQueryId = _a.mqlQueryId, 
    // metricName,
    skip = _a.skip, _b = _a.retries, retries = _b === void 0 ? 5 : _b;
    console.log("BANANAS");
    var mqlServerUrl = react_1.useContext(MqlContext_1.default).mqlServerUrl;
    var dataAccr = function (data) { var _a; return (_a = data === null || data === void 0 ? void 0 : data.createMqlQuery) === null || _a === void 0 ? void 0 : _a.query; };
    var reducer = mqlQueryReducer_1.default(dataAccr);
    var _c = react_1.useReducer(reducer, mqlQueryReducer_1.initialState), state = _c[0], dispatch = _c[1];
    // const {createTimeSeriesMqlQuery} = useCreateTimeSeriesMqlQuery({metricName, formState: queryInput, dispatch, retries})
    react_1.useEffect(function () {
        if (!mqlQueryId || !mqlServerUrl || skip) {
            return;
        }
        dispatch({ type: "postQueryStart" });
        // createTimeSeriesMqlQuery({stateRetries: state.retries});
    }, [mqlServerUrl, skip]);
    // }, [queryInput, metricName, mqlServerUrl, skip]);
    var _skip = skip ||
        // !state.queryId ||
        state.cancelledQueries.includes("" + mqlQueryId); /* && !isRunning*/
    console.log('state', state);
    console.log('_skip', _skip);
    useFetchMqlQuery_1.default({
        state: __assign(__assign({}, state), { queryId: mqlQueryId }),
        skip: _skip,
        dispatch: dispatch,
        createQueryIdQuery: function () { },
        retries: retries,
        fetchDataQuery: FetchMqlSavedQuery_1.default
    });
    return state;
}
exports.default = useMqlSavedQueryQuery;
