"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var query = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  query FetchMqlTimeSeries($queryId: ID!) {\n    mqlQuery(id: $queryId) {\n      id\n      dbId\n      status\n      metrics\n      oldestSourceReadTime\n      completedAt\n      availableChartTypes\n      dimensions\n      error\n      chartValueMin\n      chartValueMax\n      whereConstraint\n      requestedGranularity\n      groupBy\n      maxDimensionValues\n      constraint {\n        constraint {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n        And {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n      }\n      timeComparison\n      trimIncompletePeriods\n      timeConstraint {\n        dimensionName\n        timeFormat\n        start\n        stop\n        timeGranularity\n      }\n      resultTabular {\n        data\n        valueFormattedColumns {\n          column\n          valueFormat\n        }\n      }\n      result {\n        seriesValue\n        data {\n          y\n          ... on TimeSeriesDatum {\n            xDate\n          }\n        }\n      }\n    }\n  }\n"], ["\n  query FetchMqlTimeSeries($queryId: ID!) {\n    mqlQuery(id: $queryId) {\n      id\n      dbId\n      status\n      metrics\n      oldestSourceReadTime\n      completedAt\n      availableChartTypes\n      dimensions\n      error\n      chartValueMin\n      chartValueMax\n      whereConstraint\n      requestedGranularity\n      groupBy\n      maxDimensionValues\n      constraint {\n        constraint {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n        And {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n      }\n      timeComparison\n      trimIncompletePeriods\n      timeConstraint {\n        dimensionName\n        timeFormat\n        start\n        stop\n        timeGranularity\n      }\n      resultTabular {\n        data\n        valueFormattedColumns {\n          column\n          valueFormat\n        }\n      }\n      result {\n        seriesValue\n        data {\n          y\n          ... on TimeSeriesDatum {\n            xDate\n          }\n        }\n      }\n    }\n  }\n"])));
exports.default = query;
var templateObject_1;
