"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var urql_1 = require("urql");
var query = urql_1.gql(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  query FetchMqlQueryFiltersFromDbIdQuery(\n    $dbId: Int!\n  ) {\n    queryParamsFromDbId(\n      dbId: $dbId\n    ) {\n      dbId\n      metrics\n      dimensions\n      requestedGranularity\n      groupBy\n      constraint {\n        constraint {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n        And {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n      }\n      latestXDays\n      order\n      maxDimensionValues\n      timeComparison\n      trimIncompletePeriods\n      timeConstraint {\n        dimensionName\n        timeFormat\n        start\n        stop\n        timeGranularity\n      }\n    }\n  }\n"], ["\n  query FetchMqlQueryFiltersFromDbIdQuery(\n    $dbId: Int!\n  ) {\n    queryParamsFromDbId(\n      dbId: $dbId\n    ) {\n      dbId\n      metrics\n      dimensions\n      requestedGranularity\n      groupBy\n      constraint {\n        constraint {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n        And {\n          constraintType\n          dimensionName\n          values\n          start\n          stop\n        }\n      }\n      latestXDays\n      order\n      maxDimensionValues\n      timeComparison\n      trimIncompletePeriods\n      timeConstraint {\n        dimensionName\n        timeFormat\n        start\n        stop\n        timeGranularity\n      }\n    }\n  }\n"])));
exports.default = query;
var templateObject_1;
